FetchGet video metadata
Fetch

Get video metadata

Retrieves metadata for a video from a URL.

curl -X POST "https://api.fetchmedia.io/v1/fetch/metadata" \
  -H "Content-Type: application/json" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -d '{
  "url": "https://www.youtube.com/watch?v=93npkPcQIzA"
}'
{
  "url": "https://www.youtube.com/watch?v=93npkPcQIzA",
  "title": "Video Title",
  "duration": 123.45,
  "view_count": 12345,
  "like_count": 12345,
  "comment_count": 12345
}
POST
/fetch/metadata
POST
API Key (header: X-API-KEY)
X-API-KEYstring
Required

API key (sent in header)

API Key (query: key)
keystring
Required

API key (sent in query)

Content-Typestring
Required

The media type of the request body

Options: application/json
urlstring

The URL to fetch metadata for.

Format: url
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-KEYstring
Required

API Key for authentication. Provide your API key in the header.

query
keystring
Required

API Key for authentication. Provide your API key in the query.

Body

application/json
urlstring

The URL to fetch metadata for.

Responses

urlstring

The URL that was fetched.

titlestring

The title of the video.

durationnumber

The duration of the video in seconds.

view_countnumber

The number of views of the video.

like_countnumber

The number of likes of the video.

comment_countnumber

The number of comments of the video.